#ifndef MAGNUM_RENDER_H
#define MAGNUM_RENDER_H

#include <Magnum/GL/Framebuffer.h>
#include <Magnum/Platform/GLContext.h>

using namespace Magnum;

class MagnumRenderer {
public:
  MagnumRenderer();
  ~MagnumRenderer();

  void render();
  void reset(Platform::GLContext *ctx, GL::Framebuffer fbo);
  void hue(float hue);

private:
  Platform::GLContext *m_ctx{nullptr};
  GL::Framebuffer m_FBO{NoCreate};
  float m_hue;
};

#endif // MAGNUM_RENDER_H
